Bug 83308 - STATUSBAR: Add thousand comma separators for word and character counts
Summary: STATUSBAR: Add thousand comma separators for word and character counts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: low enhancement
Assignee: Matthew Francis
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords:
Depends on:
Blocks: Statusbar
  Show dependency treegraph
 
Reported: 2014-08-31 18:40 UTC by Yousuf Philips (jay)
Modified: 2015-03-24 10:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot with statusbar and word count dialog (27.14 KB, image/png)
2014-08-31 18:40 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-08-31 18:40:35 UTC
Created attachment 105500 [details]
screenshot with statusbar and word count dialog

If i open a document which has over a thousand words or characters, the statusbar count area doesnt show the thousand separator commas, like it is shown in the word count dialog.
Comment 1 Adolfo Jayme 2014-08-31 22:19:49 UTC
That word counter doesn’t exist in AOO nor it was present in OOo, so how is this “Inherited from OOo”?
Comment 2 Yousuf Philips (jay) 2014-09-01 09:33:41 UTC
Sorry about that, i forgot to change that field from the last bug i sent. :)

Word count in the statusbar appeared in 3.6.x.
Comment 3 Yousuf Philips (jay) 2014-11-03 20:19:46 UTC
Patch was sent in by Matthew - https://gerrit.libreoffice.org/#/c/12130/
Comment 4 Commit Notification 2014-11-26 11:19:12 UTC
Matthew J. Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9673698f35ad249bc96506965b5e467d1f7ea0e9

fdo#83308 Show thousand separators in document word/character counts

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-11-26 12:53:39 UTC
Matthew J. Francis committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68c378187c0eac9049141cd8ac072231f7860313&h=libreoffice-4-4

fdo#83308 Show thousand separators in document word/character counts

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Mike §chinagl 2014-12-20 22:07:44 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 


Word and character count now have thousand separators.



Status should be changed, I think